#
# spec file for package libwebkit
#
# Copyright (c) 2011 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#



Name:           libwebkit
Summary:        Library for rendering web content, GTK+ Port
Version:        1.3.10
Release:        6.7.1
# FIXME: check if make stamp-po is still needed in %build, see https://bugs.webkit.org/show_bug.cgi?id=50612 (last checked: 1.3.7)
License:        LGPLv2.0 ; LGPLv2.0+
Group:          Development/Libraries/C and C++
Url:            http://webkit.org/
Source:         webkit-%{version}.tar.bz2
Source1:        baselibs.conf
# PATCH-FIX-UPSTREAM libwebkit-reduce_up_front_allocation.patch webkit-bug#42765 pth@suse.de -- Allocate 32M instead of 2G up front
Patch0:         libwebkit-reduce_up_front_allocation.patch
BuildRequires:  bison
BuildRequires:  enchant-devel
BuildRequires:  flex
BuildRequires:  gcc-c++
BuildRequires:  gobject-introspection-devel
BuildRequires:  gperf
BuildRequires:  gstreamer-0_10-plugins-base-devel
BuildRequires:  gtk2-devel
BuildRequires:  libgeoclue-devel
BuildRequires:  libicu-devel
BuildRequires:  libjpeg-devel
BuildRequires:  libsoup-devel
BuildRequires:  libxslt-devel
BuildRequires:  sqlite3-devel
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
WebKit is a web content engine, derived from KHTML and KJS from KDE,
and used primarily in Apple's Safari browser.  It is made to be
embedded in other applications, such as mail readers, or web browsers.

It is able to display content such as HTML, SVG, XML, and others. It
also supports DOM, XMLHttpRequest, XSLT, CSS, Javascript/ECMAscript and
more.

%package -n libwebkitgtk-1_0-0
Group:          Development/Libraries/C and C++
License:        LGPLv2.0 ; LGPLv2.0+
Summary:        Library for rendering web content, GTK+ Port
Provides:       libWebKitGtk0 = %{version}
Obsoletes:      libWebKitGtk0 < %{version}
# We provide libwebkitgtk2: that's the GTK+ version being used.
Provides:       libwebkitgtk2 = %{version}
Recommends:     libwebkitgtk2-lang = %{version}
%glib2_gsettings_schema_requires

%description -n libwebkitgtk-1_0-0
WebKit is a web content engine, derived from KHTML and KJS from KDE,
and used primarily in Apple's Safari browser.  It is made to be
embedded in other applications, such as mail readers, or web browsers.

It is able to display content such as HTML, SVG, XML, and others. It
also supports DOM, XMLHttpRequest, XSLT, CSS, Javascript/ECMAscript and
more.

%package -n libwebkitgtk-devel
License:        LGPLv2.0 ; LGPLv2.0+
Group:          Development/Libraries/C and C++
Summary:        Library for rendering web content, GTK+ Port
Requires:       libwebkitgtk-1_0-0 = %{version}
Requires:       glib2-devel
Requires:       gtk2-devel
Requires:       libsoup-devel
Provides:       WebKitGtk-devel = %{version}
Obsoletes:      WebKitGtk-devel < %{version}
Provides:       libwebkit-devel = %{version}
Obsoletes:      libwebkit-devel < %{version}

%description -n libwebkitgtk-devel
WebKit is a web content engine, derived from KHTML and KJS from KDE,
and used primarily in Apple's Safari browser.  It is made to be
embedded in other applications, such as mail readers, or web browsers.

It is able to display content such as HTML, SVG, XML, and others. It
also supports DOM, XMLHttpRequest, XSLT, CSS, Javascript/ECMAscript and
more.

%package -n webkit-jsc
License:        LGPLv2.0 ; LGPLv2.0+
Group:          Development/Libraries/C and C++
Summary:        Library for rendering web content, GTK+ Port
Requires:       libwebkitgtk-1_0-0 = %{version}

%description -n webkit-jsc
WebKit is a web content engine, derived from KHTML and KJS from KDE,
and used primarily in Apple's Safari browser.  It is made to be
embedded in other applications, such as mail readers, or web browsers.

It is able to display content such as HTML, SVG, XML, and others. It
also supports DOM, XMLHttpRequest, XSLT, CSS, Javascript/ECMAscript and
more.

%lang_package -n libwebkitgtk2
%prep
%setup -q -n webkit-%{version}
%patch0

%build
%ifarch ppc64
RPM_OPT_FLAGS="$RPM_OPT_FLAGS -mminimal-toc"
%endif
export CFLAGS=" $RPM_OPT_FLAGS"
export CXXFLAGS=" $RPM_OPT_FLAGS"
%configure \
        --with-gtk=2.0 \
	--enable-geolocation \
        --enable-introspection
# No parallel build as we can go out of memory on the build service
make
# FIXME: it's only needed because of https://bugs.webkit.org/show_bug.cgi?id=50612
make %{?jobs:-j %jobs} stamp-po

%install
%makeinstall
%find_lang webkit-2.0
find %{buildroot} -name "*.la" -exec rm {} \;

%post -n libwebkitgtk-1_0-0
/sbin/ldconfig
%glib2_gsettings_schema_post

%postun -n libwebkitgtk-1_0-0
/sbin/ldconfig
%glib2_gsettings_schema_postun

%clean
rm -rf $RPM_BUILD_ROOT

%files -n libwebkitgtk-1_0-0
%defattr(-,root,root)
%doc WebKit/LICENSE Source/JavaScriptCore/COPYING.LIB Source/WebCore/LICENSE-APPLE Source/WebCore/LICENSE-LGPL-2 Source/WebCore/LICENSE-LGPL-2.1 WebKit/gtk/NEWS
%{_libdir}/libwebkitgtk-1.0.so.*
%{_datadir}/glib-2.0/schemas/org.webkitgtk-1.0.gschema.xml
%{_datadir}/webkit-1.0/
%{_datadir}/webkitgtk-1.0/
%{_libdir}/girepository-1.0/*.typelib

%files -n libwebkitgtk-devel
%defattr(-,root,root)
%{_libdir}/libwebkitgtk-1.0.so
%{_libdir}/pkgconfig/webkit-1.0.pc
%{_includedir}/webkit-1.0/
%{_datadir}/gir-1.0/*.gir

%files -n webkit-jsc
%defattr(-,root,root)
%{_bindir}/jsc-1

%files -n libwebkitgtk2-lang -f webkit-2.0.lang

%changelog
* Thu Aug  4 2011 pth@suse.de
- Add upstream patch that reduces the initial vm allocation to 32 MB
  and increases that later only when overcommit is possible (i.e. swap
  available) (bnc#710242).
* Mon Jan 17 2011 vuntz@opensuse.org
- Disable parallel build in an attempt to fix the build on the
  build service, where it goes out of memory.
* Wed Jan 12 2011 vuntz@opensuse.org
- Update to version 1.3.10:
  + Port form control theming code to GtkStyleContext.
  + Add a new 'make jsc' target to build only JavaScriptCore and
    the jsc binary.
  + Initial support for drag-and-drop file uploads.
  + WOFF font face support.
  + Many other bugfixes.
* Thu Dec 23 2010 vuntz@opensuse.org
- Update to version 1.3.9:
  + Compilation fixes for the final GTK+ 2.91.7 release.
* Tue Dec 21 2010 vuntz@opensuse.org
- Update to version 1.3.8:
  + New WebKitWebPluginDatabase and WebKitWebPlugin classes for
    plugin management.
  + The usual fixes for GTK+ 3.x API changes. We are still using
    the old GtkStyle APIs, that should be gone by the next release.
  + Add support for Mozilla-style JS fullscreen API.
  + Add support for the viewport metatag.
  + Many other bugfixes.
* Tue Dec  7 2010 vuntz@opensuse.org
- Update to version 1.3.7:
  + Fix error pages template's not being filled properly.
  + Fix context menu activation through keyboard.
  + Add automatic garbage collection for most GObject DOM objects
    (all those that are actually in the DOM tree). This gets rid of
    most of the leaks when using the bindings.
  + Add an Inspector API to inspect a DOM node.
  + Tons of a11y bugfixes.
  + Tons of fixes for the in-tree SoupCache, should work much
    better now.
  + Many other bugfixes.
- Explicitly compile translations, since it's broken in the
  tarball.
* Mon Nov 15 2010 dimstar@opensuse.org
- Update to version 1.3.6:
  + Update to compile with GTK+ 3.x 2.91.4.
  + Many, many other bugfixes.
* Fri Oct 22 2010 vuntz@opensuse.org
- Update to version 1.3.5:
  + Add a HTTP cache implementation. This will be eventually
    integrated in libsoup itself, but for now it can be accessed
    from WebKit through the WebKitSoupCache APIs.
  + Updated to work with GTK+ 3.x 2.91.1.
  + Add frame-flattening support, used by some mobile browser, to
    merge all frames in a page into a continuous view.
  + Many other bugfixes.
* Thu Sep 23 2010 vuntz@opensuse.org
- Update to version 1.3.4:
  + File reader/writer APIs are now enabled.
  + The javascript JIT is now enabled by default on ARM.
  + Clipboard data is no longer lost when the process exits.
  + Image DnD support.
  + GSettings support to save/restore Web Inspector settings.
  + Add WebSocket support, now enabled by default.
  + Added WebKitWebView::frame-created signal, emitted when a frame
    other than the main frame is created in a view.
  + Added WebKitWebView::view-mode, holding information about how
    the view is being presented. See the property documentation and
    http://www.w3.org/TR/view-mode/ for details.
  + Fullscreen support for HTML5 media player.
  + Identify as WebKit/Safari in Google domains when
    enable-site-specific-quirks is activated. Otherwise we'll get a
    degraded user experience due to their poor UA detection
    algorihtms.
  + Added simple media playback options in the context menu for the
    media elements.
  + Update (and require) to work with gobjet-introspection 0.9.5.
  + Updated to work with GTK+ 3.x 2.90.7 when in GTK+ 3.x mode.
  + Make --disable-jit actually work.
  + Add --enable-opcode-stats configure flag. When enabled,
    statistics about opcode generation will be printed by JSC.
  + Many a11y fixes, particularly in the AtkText interface.
  + CSS box shadows render much faster in many cases.
  + Many other bugfixes.
- Fix webkit-jsc to have a libwebkitgtk-1_0-0 Requires instead of
  libwebkit-1_0-2.
- Handle the GSettings schemas with the %%glib2_gsettings_schema_*
  macros.
* Wed Sep  1 2010 vuntz@opensuse.org
- Drop gir-repository BuildRequires: the introspection files that
  were needed from there are now directly with the appropriate
  libraries.
* Tue Aug 31 2010 aj@suse.de
- Recommend instead of require lang package since it's not mandatory.
* Thu Aug 12 2010 vuntz@opensuse.org
- Do not use Provides/Obsoletes for libwebkit-1_0-2 in
  libwebkitgtk-1_0-0: this is simply not true, since the library
  name is libwebkitgtk-1.0 now, not libwebkit-1.0 anymore.
* Mon Aug  9 2010 vuntz@opensuse.org
- Update baselibs.conf for the change in package name.
* Fri Aug  6 2010 vuntz@opensuse.org
- Go back to GTK+ 2: change gtk3-devel BuildRequires to gtk2-devel,
  change --with-gtk configure flag to 2.0
* Thu Jul 15 2010 dimstar@opensuse.org
- Update to version 1.3.3:
  + Fixes to compile with latest GTK+ 2.90.x.
  + Add support for dropping content in WebKitWebViews.
  + Many other bugfixes.
* Tue Jul 13 2010 dimstar@opensuse.org
- Update to version 1.3.2:
  + This release is an ABI break.
  + The library has been renamed to libwebkitgtk, so you'll need to
    recompile your applications when upgrading to 1.3.2.
  + Add support for GTK+ 3.x. A new configure flag, --with-gtk, has
    been added, which allows to control which GTK+ version you want
    to build against.
  + Many fixes for the DOM bindings, including support to dispatch
    events to any Node through webkit_event_target_dispatch_event.
  + Added a 'inner-node' property to WebKitHitTestResult, carrying
    the DOM node where the hit test happened.
  + Many DnD fixes, including a fix for the infamous hang-of-death
    while dragging the mouse.
  + Support for <input type="range">.
  + Many other bugfixes.
- Pass --with-gtk=3.0 to configure and use gtk3-devel BuildRequires
  instead of gtk2-devel.
- Drop libwebkit-gir-repository_1.1.patch, fixed upstream.
- Update name of subpackages to new library name (since it got
  renamed to libwebkitgtk).
* Mon Jun 21 2010 dimstar@opensuse.org
- Update to version 1.3.1:
  + Initial support for GObject DOM bindings. Present in this
    release is a substantial subset of the basic DOM APIs
    (Document, HTML elements, Node, etc) including access to the
    DOM events through GObject signals.
  + Add webkit_web_back_forward_list_clear, to completely clear the
    BackForward list.
  + Lots of improvements in DOM clipboard and drag-drop access.
  + Add support for GTK+ key themes.
  + Significant improvements in a11y, including improved role
    support and many bugfixes.
- Drop libwebkit-fixbuild.patch, fixed upstream.
- Add libwebkit-gir-repository_1.1.patch: gir repository requires
  version 1.1 by now.
* Wed Apr  7 2010 vuntz@opensuse.org
- Update to version 1.2.0:
  + New stable branch of WebKitGTK+; API and ABI stable.
  + A number of crashes discovered since the 1.1.90 release have
    been fixed.
  + Building for SPARC has been fixed.
  + Building on Itanium in 32 bits mode is now possible.
  + Building with newer versions of GTK+ is fixed.
  + A few translations got updated.
* Wed Apr  7 2010 ro@suse.de
- Add baselibs.conf (needed for libproxy-pacrunner-webkit)
* Wed Mar 17 2010 dimstar@opensuse.org
- Update to version 1.1.90:
  + Add support for Fast Mobile Scrolling in the build system.
  + Add function to expose the popup menu font size, add a field to
    WebPopupMenuInfo that receives that information to convey that
    to the web view client's createPopupMenu() call.
* Wed Mar 10 2010 dimstar@opensuse.org
- Update to version 1.1.23:
  + Blob.slice support.
  + Iimplements ChromeClient::requestGeolocationPermissionForFrame
  + Expose WebFrame::setCanHaveScrollbars().  This allows a view
    which is being resized to not need scroll bars to ensure that
    they are not drawn.
  + Enable SharedWorkers by default, since that's been the default
    for a long time in our build-webkit configuration.
  + [gtk] missing libsoup-2.4 package in gir generation
- Add libwebkit-fixbuild.patch to fix brp error. gchar wants the
  last argument to be NULL, not 0.
* Tue Feb 23 2010 vuntz@opensuse.org
- Update to version 1.1.22:
  + Preliminary support for Java plugins. Basic functionality is
    there, but there are still a few rough edges. Also newly
    introduced is a new WebKitWebSetting, 'enable-java-applet',
    which controls whether WebKit will recognize the non-standard
    <applet> tag.
  + Add WebKitWebSettings::auto-resize-window; when enabled, WebKit
    will act upon the DOM methods that change the size and/or
    position of the window containing a WebView (window.{moveTo,
    resizeTo, moveBy, resizeBy}).
  + Add WebKitWebSettings::enable-file-access-from-file-uris; when
    enabled, each file:// URI will be assigned its own security
    domain.
  + Lots of bugfixes, especially in the PageCache support.
* Wed Feb 10 2010 vuntz@opensuse.org
- Update to version 1.1.21:
  + New custom-made GStreamer source element that uses the WebCore
    network layer to download media data; this makes sure any
    headers and cookies will automatically get added when making
    requests.
  + WebKit will now let libsoup know who the first party for a
    given message is, making it possible to implement accept/deny
    policies in Soup.
  - The usual stream of fixes, and improvements
* Mon Feb  8 2010 captain.magnus@opensuse.org
- Update to version 1.1.20:
  + Fixes to the HTML5 Media Player infrastructure to satisfy sites
    that require cookies, and Referer to be sent; this makes
    WebKitGTK+ able to support the new HTML5 support added to
    Youtube, and Vimeo, for instance.
  + Windowless plugin support is finally here, making it possible
    to get plugins to behave on various web pages.
  + The usual stream of fixes, and improvements
* Wed Jan 20 2010 vuntz@opensuse.org
- Update to version 1.1.19:
  + Improvements to AtkText implementation
  + RGBA colormap support has been added
  + Improvements to the HTML5 media player
  + Crashes related to clipboard handling, which were hitting many
    users and seemed to be random have been fixed
- Drop libwebkit-fix-gcc-warnings.patch: fixed upstream.
* Fri Jan 15 2010 vuntz@opensuse.org
- Drop libwebkit-ia64_s390x.patch: this should be fixed another way
  upstream now.
* Wed Jan 13 2010 captain.magnus@opensuse.org
- Update to version 1.1.18:
  - Add methods to set and get a cache model in WebKitGTK+. We
    offer two possibilites: document viewer (no caches are used)
    and browser (similar to the previous defaults).
  - Add WebKitWebSettings::enable-page-cache. Controls whether the
    Page Cache is enabled or not. For details about what the page
    cache is and does see
    http://webkit.org/blog/427/webkit-page-cache-i-the-basics/
    The page cache is disabled by default, since the gtk+ port
    still presents some small bugs when it's enabled.
  - Add WebKitWebSettings::enable-site-specific-quirks. Controls
    whether a series of page-specific workarounds are used by
    WebKit.
  - Use Content-Encoding support available in recent libsoup.
  - Add WebKitWebSettings::enable-default-context-menu. Controls
    whether webkitgtk+ will show a default context menu on right
    click in the view. Note that even with the property set to
    FALSE right clicks can be handled by the page, either by
    actions or by ad-hoc in-page context menus.
  - Make the WebKitWebView::icon-loaded signal carry a string with
    the favicon's URI. This is an API break, but the signal already
    had a broken signature and was useless anyway, so it's
    extremely unlikely that anybody was using it. Also, add the
    'icon-uri' property to the view, holding the URI for its
    current favicon.
  - Respect Content-Disposition header in downloads (fixes
    downloads in gmail).
  - Various accessibility improvements.
  - Many bugfixes.
- Drop libwebkit-fix-introspection-build.patch: fixed upstream.
- Update libwebkit-ia64_s390x.patch to apply with fuzz=0
- Add libwebkit-fix-gcc-warnings.patch to keep gcc happy. Reported
  upstream (https://bugs.webkit.org/show_bug.cgi?id=33575)
- Remove workaround copy of JSCore-1.0.gir to fix introspection
  build: fixed upstream.
* Mon Dec  7 2009 vuntz@opensuse.org
- Add libwebkit-ia64_s390x.patch to fix build on ia64 and s390x.
  Patch by ro@suse.de.
* Wed Dec  2 2009 vuntz@opensuse.org
- Update to version 1.1.17:
  + New APIs to show and close the web inspector and to inspect an
    element at the given coordinates.
  + New property,
    WebKitWebSettings::tab-key-cycles-through-elements, controls
    whether TAB is simply interpreted as another keystroke or is
    used to cycle through the elements in a page.
  + Many a11y improvements.
  + The usual amount of random bugfixes.
- Enable introspection:
  + add gir-repository and gobject-introspection-devel
    BuildRequires.
  + pass --enable-introspection to configure.
  + add a cp workaround for JSCore-1.0.gir not being at the
    expected location.
  + add libwebkit-fix-introspection-build.patch to fix the build
* Fri Nov 27 2009 dimstar@opensuse.org
- Update to version 1.1.16:
  + Add optional support to generate the gobject-introspection
    gir/typelib files. Enable with --enable-introspection, it's off
    by default.
  + Add a new load status value, WEBKIT_LOAD_FAILED, emitted when
    there's an error during the load process. This is the natural
    companion to WEBKIT_LOAD_FINISHED, which is only emitted when
    the load finished succesfuly.
  + Ensure that keyboard events filtered by GtkIMContext still
    create the proper DOM events.
  + Many a11y improvements: caret browsing fixes, expose heading
    levels, more accessible roles supported, more work in correctly
    showing the element's ancestry list, improved support for
    lists, etc.
  + Many improvements to our media support.
  + Add a new setting to control DOM pastes
    (document.execCommand("Paste"))
  + Many, many bugfixes all over the place.
- Do not self-obsolete, fix a lint warning.
* Wed Sep 23 2009 dimstar@opensuse.org
- Update to version 1.1.15.1:
  + [GTK] context menu overriding API is very limited
  + Add new tests to the build.
  + Add the alternative QtLauncher (based on QGraphicsView) to the
    build.
* Wed Sep  9 2009 vuntz@opensuse.org
- Update to version 1.1.14:
  + New API has been added to WebKitWebFrame to allow applying
    scrollbars policy as requested by web applications to the main
    frame; if the parent of the WebKitWebView widget is a
    GtkScrolledWindow, policy is applied by the default handler.
  + A new API has been added to help dealing with the various
    resources that are downloaded to compose the final rendering;
    you can now obtain the source code for a page that is loaded,
    for instance.
  + A new property has been added to WebKitWebView to allow setting
    it to "View Source" mode.
  + HTML5 database has gained API to manage the individual
    databases, including usage and quota.
  + A new signal `resource-request-starting' has been added to the
    WebKitWebView to allow modification of outgoing requests for
    every resource.
  + Connection limit has been increased to 60 total connections, 6
    per-host, matching other browsers more closely; this seems to
    have improved loading time of some sites.
  + Undo/redo support has been added to editable texts.
  + The usual stream of small improvements and bug fixes.
- Drop libwebkit-build-warning.patch: fixed upstream.
- Add glib2-devel Requires to devel package.
* Wed Aug 26 2009 vuntz@novell.com
- Update to version 1.1.13:
  + GNOME Keyring support was removed in favor of the new Password
    Manager soup feature; to get exactly the same behavior,
    applications should use SoupPasswordManagerGNOME. This requires
    libsoup 2.27.91 or newer.
  + Several accessibility improvements, including support for
    testing the a11y infrastructure in our layout tests.
  + You can now enable/disable HTML5 offline application cache
    using a new setting added to WebKitWebSettings.
  + Drag support has landed, meaning you can start playing with
    HTML5 drag and drop support; drop support is still missing.
  + A crash with scripts closing windows has been fixed.
  + Image cursors support has been added.
  + The usual stream of small improvements and bug fixes.
- Remove gnome-keyring-devel BuildRequires.
- Add libgeoclue-devel BuildRequires.
- Pass --enable-geolocation to configure and remove
  now non-existing --enable-gnomekeyring.
- Add libwebkit-build-warning.patch to fix a warning.
* Fri Jul 31 2009 vuntz@novell.com
- Move back doc files to the devel package.
* Wed Jul 29 2009 vuntz@novell.com
- Update to version 1.1.12:
  + Fix WebKitSoupAuthDialog to only save passwords in
    gnome-keyring (if enabled) when authentication succeeds.
  + Implement a proper size_request method for WebKitWebView. The
    widget will request the size of the whole page as its size
    requisition.
  + Many a11y improvements.
  + The usual amount of other misc fixes.
  + WEBKIT_DEBUG variable now accepts channel names in any case
    again.
* Mon Jul 20 2009 vuntz@novell.com
- Update to version 1.1.11:
  + WebKit has got a new feature - a XSS auditor, that should
    improve security; this feature is still experimental, and
    disabled by default, but applications can enable it using the
    setting.
  + The hackish content sniffing code that was beig used to avoid
    pages requesting downloads instead of displaying content has
    been replaced by usage of a new Soup feature, which implements
    proper content sniffing.
  + More accessibility work, including fixes for problems which
    were critical for a possible GNOME 2.28 release.
  + Pasting rich text from other browsers should now work as
    expected.
  + The usual amount of misc fixes.
* Tue Jun 16 2009 vuntz@novell.com
- Update to version 1.1.10:
  + WebKitNetworkRequest has now GObject properties for its URI and
    the SoupMessage that backs it up.
  + Fix AtkText methods get_selection and get_n_selections to not
    use the global selection but only the selection that belongs to
    the object being used.
  + Fix a crasher when emitting the a11y signal 'text-caret-moved'
    in some situations with debug builds.
* Mon Jun 15 2009 vuntz@novell.com
- Move doc files to the library package instead of devel package,
  and also install the NEWS file for the GTK+-specific part of
  WebKit.
* Thu Jun 11 2009 vuntz@novell.com
- Update to version 1.1.9:
  + Scrolling once again received a lot of love, and many subtle
    problems and bugs were killed, and we now get correct behavior
    in acid2; a number of smaller improvements are in the queue.
  + Accessibility keeps gaining better support. On this release a
    lot of work was done on the AtkText interface implementation.
  + WebKitNetworkRequest now carries with it all the information
    regarding the request, not only the URI. This means you will no
    longer miss headers such as Referer when passing NetworkRequest
    objects from a callback to webkit_web_frame_load_request.
* Fri May 29 2009 vuntz@novell.com
- Update to version 1.1.8:
  + We found out that WebKitWebHistoryItems were being kept with a
    reference count of 2 instead of 1 as they should; nobody should
    be relying on that, but if you hit reference counting problems
    with items you were creating yourself, this is for you.
  + You can now copy images from the web page to the clipboard.
  + Improvements were made to the Plugin handling code.
  + Scroll events will now be correctly reported to web
    applications.
  + You can now embed arbitrary widgets as if it was a plugin, with
    the new "create-plugin-widget" signal.
  + The atk_text_get_text_{at,after,before}_offset methods are now
    implemented for all boundary types except LINE_AFTER and
    LINE_BEFORE.
  + The usual stream of minor fixes and improvements, as always.
* Mon May 18 2009 vuntz@novell.com
- Update to version 1.1.7 (not everything is listed in ChangeLog):
  + Build fixes.
  + Enable JIT on x86-64 gtk+.
* Wed Apr 29 2009 vuntz@novell.com
- Update to version 1.1.6 (not everything is listed in ChangeLog:
  + Added support for generating API docs in the Qt build using
    "make docs"
  + Add enchant support for spell-checking-languages property to
    work properly.
  + [GTK] Error reporting
  + Quite some accessibility improvements
  + New printing API.
- Add enchant-devel BuildRequires.
* Fri Apr 17 2009 vuntz@novell.com
- Make libwebkit-1_0-2 provides libwebkit so that the lang package
  is installable.
* Wed Apr 15 2009 vuntz@novell.com
- Update to version 1.1.5:
  + Integrate gtk-doc into the Gtk+ buildsystem.
  + Add unit tests.
  + Filter out all C++ symbols.
  + Build fixes.
- Add lang package for new translations.
* Sat Apr  4 2009 vuntz@novell.com
- Update to version 1.1.4:
  + Do not export cti* symbols.
  + Enable HTML5 media elements support by default in the GTK+
    port.
  + Separate gtk unit tests.
  + Misc patches for WebKitWebHistoryItem.
  + Require gnome-keyring 2.26.0.
- Remove --enable-video from configure: it's active by default now.
* Thu Mar 19 2009 vuntz@novell.com
- Update to version 1.1.3:
  + Way too many changes to list here. See ChangeLog.
- Rename libwebkit-1_0-1 to libwebkit-1_0-2, reflecting soname
  change.
- Drop webkit-cairo-canvas-r34625-for-1.0.1.patch: fixed upstream.
- Drop webkit-fix-gcc43.patch: fixed upstream.
- Drop libwebkit-no-return-in-nonvoid.patch: does not apply anymore
  at all, should be fixed upstream.
- Drop libwebkit-use-after-free.patch: fixed upstream.
- Remove pre_checkin.sh: there's no dll/exe file anymore in the
  tarball.
- Remove unneeded BuildRequires: curl-devel, libqt4-devel.
- Change sqlite-devel to sqlite3-devel.
- Add BuildRequires: gcc-c++, gnome-keyring-devel,
  gstreamer-0_10-plugins-base-devel, libjpeg-devel, libsoup-devel.
- Add libsoup-devel to Requires of devel package.
- Make webkit-jsc require libwebkit-1_0-2.
- Do not call autoreconf.
- Remove --enable-svg-experimental flag from configure.
- Add flags to configure: --enable-video, --enable-gnomekeyring.
  Those options are disabled by default, but we want them for good
  GNOME integration.
* Fri Dec  5 2008 olh@suse.de
- %%configure does not use RPM_OPT_FLAGS, export CXXFLAGS as well
* Mon Oct  6 2008 cthiel@suse.de
- reviewed
* Wed Oct  1 2008 dominique-openusse@leuenberger.net
- Let's not package up the *.la files. They anyhow have illegal
  references to other la files which are no longer packaged
  (libwebkit-1.0.la for example contains ref to libsqlite3.la)
* Fri Sep 19 2008 maw@suse.de
- Add libwebkit-use-after-free.patch (bnc#427349, bwo#19618,
  and CVE-2008-3632).
* Tue Aug 26 2008 ajorgensen@novell.com
- Fix for -debug* requiring wrong package
* Sat Aug 23 2008 ajorgensen@novell.com
- Patch no-return-in-nonvoid-function error
* Wed Aug  6 2008 ajorgensen@novell.com
- Update to version 1.0.1
- First release tarball
* Sat Jun 14 2008 schwab@suse.de
- Use -mminimal-toc on ppc64.
* Wed Jan 16 2008 stbinner@suse.de
- update to snapshot r29509
* Thu Jan  3 2008 stbinner@suse.de
- rename to comply to shared library packaging policy more exactly
* Wed Dec 19 2007 stbinner@suse.de
- initial package
